Skip to main content
POST
/
api
/
run
curl -X POST https://api.artificialstudio.ai/api/run \
  -H "Content-Type: application/json" \
  -H "Authorization: YOUR_API_KEY" \
  -d '{
    "tool": "audio-to-text",
    "input": {
      "model": "whisper",
      "audio_url": "https://example.com/my-audio.mp3"
    }
  }'
{
  "id": "507f1f77bcf86cd799439011",
  "status": "processing",
  "tool": "audio-to-text",
  "createdAt": "2024-01-15T10:30:00.000Z"
}
Credits1 credit per second
Toolaudio-to-text

Headers

NameTypeRequiredDescription
AuthorizationstringYesYour API key
Content-TypestringYesapplication/json

Body

ParameterTypeRequiredDescription
toolstringYesaudio-to-text
input.modelstringYeswhisper
input.audio_urlstringYesURL of the audio file to transcribe
curl -X POST https://api.artificialstudio.ai/api/run \
  -H "Content-Type: application/json" \
  -H "Authorization: YOUR_API_KEY" \
  -d '{
    "tool": "audio-to-text",
    "input": {
      "model": "whisper",
      "audio_url": "https://example.com/my-audio.mp3"
    }
  }'
{
  "id": "507f1f77bcf86cd799439011",
  "status": "processing",
  "tool": "audio-to-text",
  "createdAt": "2024-01-15T10:30:00.000Z"
}